add operatingsystem configuration for debian, keeping the existing as the default
[puppet_perl.git] / manifests / module.pp
1 define perl::module ( $ensure = 'present' )
2 {
3   if $ensure == 'present' { require perl }
4
5   case $operatingsystem {
6     'debian','ubuntu': {
7         package {"lib${name}-perl": ensure => $ensure }
8     }
9     default: {
10       package {"perl-${name}": ensure => $ensure }
11     }
12   }
13 }
14